

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.Ggit.Objects
    (     module GI.Ggit.Objects.Blame            ,
    module GI.Ggit.Objects.Blob             ,
    module GI.Ggit.Objects.BlobOutputStream ,
    module GI.Ggit.Objects.Branch           ,
    module GI.Ggit.Objects.CheckoutOptions  ,
    module GI.Ggit.Objects.CherryPickOptions,
    module GI.Ggit.Objects.CloneOptions     ,
    module GI.Ggit.Objects.Commit           ,
    module GI.Ggit.Objects.CommitParents    ,
    module GI.Ggit.Objects.Config           ,
    module GI.Ggit.Objects.Cred             ,
    module GI.Ggit.Objects.CredPlaintext    ,
    module GI.Ggit.Objects.CredSshInteractive,
    module GI.Ggit.Objects.CredSshKeyFromAgent,
    module GI.Ggit.Objects.Diff             ,
    module GI.Ggit.Objects.DiffFindOptions  ,
    module GI.Ggit.Objects.DiffFormatEmailOptions,
    module GI.Ggit.Objects.DiffOptions      ,
    module GI.Ggit.Objects.Index            ,
    module GI.Ggit.Objects.Native           ,
    module GI.Ggit.Objects.Object           ,
    module GI.Ggit.Objects.ObjectFactoryBase,
    module GI.Ggit.Objects.ProxyOptions     ,
    module GI.Ggit.Objects.PushOptions      ,
    module GI.Ggit.Objects.Rebase           ,
    module GI.Ggit.Objects.Ref              ,
    module GI.Ggit.Objects.Remote           ,
    module GI.Ggit.Objects.RemoteCallbacks  ,
    module GI.Ggit.Objects.Repository       ,
    module GI.Ggit.Objects.RevisionWalker   ,
    module GI.Ggit.Objects.Signature        ,
    module GI.Ggit.Objects.SubmoduleUpdateOptions,
    module GI.Ggit.Objects.Tag              ,
    module GI.Ggit.Objects.Tree             ,
    module GI.Ggit.Objects.TreeBuilder      ,


    ) where

import GI.Ggit.Objects.Blame
import GI.Ggit.Objects.Blob
import GI.Ggit.Objects.BlobOutputStream
import GI.Ggit.Objects.Branch
import GI.Ggit.Objects.CheckoutOptions
import GI.Ggit.Objects.CherryPickOptions
import GI.Ggit.Objects.CloneOptions
import GI.Ggit.Objects.Commit
import GI.Ggit.Objects.CommitParents
import GI.Ggit.Objects.Config
import GI.Ggit.Objects.Cred
import GI.Ggit.Objects.CredPlaintext
import GI.Ggit.Objects.CredSshInteractive
import GI.Ggit.Objects.CredSshKeyFromAgent
import GI.Ggit.Objects.Diff
import GI.Ggit.Objects.DiffFindOptions
import GI.Ggit.Objects.DiffFormatEmailOptions
import GI.Ggit.Objects.DiffOptions
import GI.Ggit.Objects.Index
import GI.Ggit.Objects.Native
import GI.Ggit.Objects.Object
import GI.Ggit.Objects.ObjectFactoryBase
import GI.Ggit.Objects.ProxyOptions
import GI.Ggit.Objects.PushOptions
import GI.Ggit.Objects.Rebase
import GI.Ggit.Objects.Ref
import GI.Ggit.Objects.Remote
import GI.Ggit.Objects.RemoteCallbacks
import GI.Ggit.Objects.Repository
import GI.Ggit.Objects.RevisionWalker
import GI.Ggit.Objects.Signature
import GI.Ggit.Objects.SubmoduleUpdateOptions
import GI.Ggit.Objects.Tag
import GI.Ggit.Objects.Tree
import GI.Ggit.Objects.TreeBuilder

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL



