#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Ggit.Objects.CheckoutOptions where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype CheckoutOptions = CheckoutOptions (ManagedPtr CheckoutOptions)
instance GObject CheckoutOptions where
class (GObject o, O.IsDescendantOf CheckoutOptions o) => IsCheckoutOptions o
instance (GObject o, O.IsDescendantOf CheckoutOptions o) => IsCheckoutOptions o
instance O.HasParentTypes CheckoutOptions
#if ENABLE_OVERLOADING
data CheckoutOptionsAncestorLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsBaselinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsDirModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsDisableFiltersPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsFileModePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsFileOpenFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsNotifyFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsOurLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsStrategyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsTargetDirectoryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsTheirLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetAncestorLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetBaselineMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetDirModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetDisableFiltersMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetFileModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetFileOpenFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetNotifyFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetOurLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetPathsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetStrategyMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetTargetDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsGetTheirLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetAncestorLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetBaselineMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetDirModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetDisableFiltersMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetFileModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetFileOpenFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetNotifyFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetOurLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetPathsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetStrategyMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetTargetDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data CheckoutOptionsSetTheirLabelMethodInfo
#endif
