#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Ggit.Objects.Commit where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Commit = Commit (ManagedPtr Commit)
instance GObject Commit where
class (GObject o, O.IsDescendantOf Commit o) => IsCommit o
instance (GObject o, O.IsDescendantOf Commit o) => IsCommit o
instance O.HasParentTypes Commit
#if ENABLE_OVERLOADING
data CommitAmendMethodInfo
#endif
#if ENABLE_OVERLOADING
data CommitGetAuthorMethodInfo
#endif
#if ENABLE_OVERLOADING
data CommitGetCommitterMethodInfo
#endif
#if ENABLE_OVERLOADING
data CommitGetMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data CommitGetMessageEncodingMethodInfo
#endif
#if ENABLE_OVERLOADING
data CommitGetNthAncestorMethodInfo
#endif
#if ENABLE_OVERLOADING
data CommitGetParentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CommitGetSubjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data CommitGetTreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CommitGetTreeIdMethodInfo
#endif
