#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Ggit.Objects.Ref where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Ref = Ref (ManagedPtr Ref)
instance GObject Ref where
class (GObject o, O.IsDescendantOf Ref o) => IsRef o
instance (GObject o, O.IsDescendantOf Ref o) => IsRef o
instance O.HasParentTypes Ref
#if ENABLE_OVERLOADING
data RefDeleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefDeleteLogMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefGetLogMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefGetOwnerMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefGetReferenceTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefGetShorthandMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefGetSymbolicTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefGetTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefHasLogMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefIsBranchMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefIsNoteMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefIsRemoteMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefIsTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefLookupMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefRenameMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefResolveMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefSetSymbolicTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefSetTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data RefToStringMethodInfo
#endif
