#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Ggit.Objects.RevisionWalker where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype RevisionWalker = RevisionWalker (ManagedPtr RevisionWalker)
instance GObject RevisionWalker where
class (GObject o, O.IsDescendantOf RevisionWalker o) => IsRevisionWalker o
instance (GObject o, O.IsDescendantOf RevisionWalker o) => IsRevisionWalker o
instance O.HasParentTypes RevisionWalker
#if ENABLE_OVERLOADING
data RevisionWalkerRepositoryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerGetRepositoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerHideMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerHideGlobMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerHideHeadMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerHideRefMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerNextMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerPushMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerPushGlobMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerPushHeadMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerPushRangeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerPushRefMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerResetMethodInfo
#endif
#if ENABLE_OVERLOADING
data RevisionWalkerSetSortModeMethodInfo
#endif
