

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.Ggit.Structs
    (     module GI.Ggit.Structs.AnnotatedCommit  ,
    module GI.Ggit.Structs.BlameHunk        ,
    module GI.Ggit.Structs.BlameOptions     ,
    module GI.Ggit.Structs.BranchEnumerator ,
    module GI.Ggit.Structs.ConfigEntry      ,
    module GI.Ggit.Structs.CredSshInteractivePrompt,
    module GI.Ggit.Structs.DiffBinary       ,
    module GI.Ggit.Structs.DiffBinaryFile   ,
    module GI.Ggit.Structs.DiffDelta        ,
    module GI.Ggit.Structs.DiffFile         ,
    module GI.Ggit.Structs.DiffHunk         ,
    module GI.Ggit.Structs.DiffLine         ,
    module GI.Ggit.Structs.DiffSimilarityMetric,
    module GI.Ggit.Structs.FetchOptions     ,
    module GI.Ggit.Structs.IndexEntries     ,
    module GI.Ggit.Structs.IndexEntriesResolveUndo,
    module GI.Ggit.Structs.IndexEntry       ,
    module GI.Ggit.Structs.IndexEntryResolveUndo,
    module GI.Ggit.Structs.MergeOptions     ,
    module GI.Ggit.Structs.Note             ,
    module GI.Ggit.Structs.OId              ,
    module GI.Ggit.Structs.Patch            ,
    module GI.Ggit.Structs.RebaseOperation  ,
    module GI.Ggit.Structs.RebaseOptions    ,
    module GI.Ggit.Structs.RefSpec          ,
    module GI.Ggit.Structs.Reflog           ,
    module GI.Ggit.Structs.ReflogEntry      ,
    module GI.Ggit.Structs.RemoteHead       ,
    module GI.Ggit.Structs.RevertOptions    ,
    module GI.Ggit.Structs.StatusOptions    ,
    module GI.Ggit.Structs.Submodule        ,
    module GI.Ggit.Structs.TransferProgress ,
    module GI.Ggit.Structs.TreeEntry        ,


    ) where

import GI.Ggit.Structs.AnnotatedCommit
import GI.Ggit.Structs.BlameHunk
import GI.Ggit.Structs.BlameOptions
import GI.Ggit.Structs.BranchEnumerator
import GI.Ggit.Structs.ConfigEntry
import GI.Ggit.Structs.CredSshInteractivePrompt
import GI.Ggit.Structs.DiffBinary
import GI.Ggit.Structs.DiffBinaryFile
import GI.Ggit.Structs.DiffDelta
import GI.Ggit.Structs.DiffFile
import GI.Ggit.Structs.DiffHunk
import GI.Ggit.Structs.DiffLine
import GI.Ggit.Structs.DiffSimilarityMetric
import GI.Ggit.Structs.FetchOptions
import GI.Ggit.Structs.IndexEntries
import GI.Ggit.Structs.IndexEntriesResolveUndo
import GI.Ggit.Structs.IndexEntry
import GI.Ggit.Structs.IndexEntryResolveUndo
import GI.Ggit.Structs.MergeOptions
import GI.Ggit.Structs.Note
import GI.Ggit.Structs.OId
import GI.Ggit.Structs.Patch
import GI.Ggit.Structs.RebaseOperation
import GI.Ggit.Structs.RebaseOptions
import GI.Ggit.Structs.RefSpec
import GI.Ggit.Structs.Reflog
import GI.Ggit.Structs.ReflogEntry
import GI.Ggit.Structs.RemoteHead
import GI.Ggit.Structs.RevertOptions
import GI.Ggit.Structs.StatusOptions
import GI.Ggit.Structs.Submodule
import GI.Ggit.Structs.TransferProgress
import GI.Ggit.Structs.TreeEntry

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL



