#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Ggit.Structs.IndexEntry where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype IndexEntry = IndexEntry (ManagedPtr IndexEntry)
instance BoxedObject IndexEntry where
#if ENABLE_OVERLOADING
data IndexEntryGetDevMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryGetFileSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryGetFlagsExtendedMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryGetGidMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryGetIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryGetInoMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryGetModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryGetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryGetUidMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryIsConflictMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryRefMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntrySetCommitMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntrySetDevMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntrySetFileSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntrySetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntrySetFlagsExtendedMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntrySetGidMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntrySetIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntrySetInoMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntrySetModeMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntrySetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntrySetUidMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryStatMethodInfo
#endif
#if ENABLE_OVERLOADING
data IndexEntryUnrefMethodInfo
#endif
