#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Ggit.Objects.Config where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Config = Config (ManagedPtr Config)
instance GObject Config where
class (GObject o, O.IsDescendantOf Config o) => IsConfig o
instance (GObject o, O.IsDescendantOf Config o) => IsConfig o
instance O.HasParentTypes Config
#if ENABLE_OVERLOADING
data ConfigAddFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigDeleteEntryMethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigGetBoolMethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigGetEntryMethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigGetInt32MethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigGetInt64MethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigGetStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigMatchMethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigMatchForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigOpenLevelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigSetBoolMethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigSetInt32MethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigSetInt64MethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigSetStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data ConfigSnapshotMethodInfo
#endif
