#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Ggit.Objects.Repository where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Repository = Repository (ManagedPtr Repository)
instance GObject Repository where
class (GObject o, O.IsDescendantOf Repository o) => IsRepository o
instance (GObject o, O.IsDescendantOf Repository o) => IsRepository o
instance O.HasParentTypes Repository
#if ENABLE_OVERLOADING
data RepositoryCloneOptionsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryHeadPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryInitPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryIsBarePropertyInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLocationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryUrlPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryWorkdirPropertyInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryAddRemoteFetchMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryAddRemotePushMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryBlameFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCheckoutHeadMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCheckoutIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCheckoutTreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCherryPickMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCherryPickCommitMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateBlobMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateBlobFromBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateBlobFromFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateBlobFromPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateBranchMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateCommitMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateCommitFromIdsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateIndexEntryForFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateIndexEntryForPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateNoteMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateReferenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateRemoteMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateSymbolicReferenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateTagAnnotationMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateTagFromBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateTagLightweightMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateTreeBuilderMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryCreateTreeBuilderFromTreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryDeleteTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryDropStashMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryEnumerateBranchesMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryFileStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryFileStatusForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetAheadBehindMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetAttributeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetConfigMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetDefaultNotesRefMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetDescendantOfMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetHeadMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetIndexMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetLocationMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetSubmoduleStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetWorkdirMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryIsBareMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryIsEmptyMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryIsHeadDetachedMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryIsHeadUnbornMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryListRemotesMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryListTagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryListTagsMatchMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLookupMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLookupBlobMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLookupBranchMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLookupCommitMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLookupReferenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLookupReferenceDwimMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLookupRemoteMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLookupSubmoduleMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLookupTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLookupTreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryMergeCommitsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryMergeTreesMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryNoteForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryPathIsIgnoredMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryReadNoteMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryRebaseInitMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryRebaseOpenMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryReferencesForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryReferencesForeachNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryRemoveNoteMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryResetMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryResetDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryRevertMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryRevparseMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositorySaveStashMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositorySetHeadMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositorySetSubmoduleFetchRecurseMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositorySetSubmoduleIgnoreMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositorySetSubmoduleUpdateMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositorySetSubmoduleUrlMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositorySetWorkdirMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryStashForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositorySubmoduleForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryTagForeachMethodInfo
#endif
