#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Ggit.Objects.TreeBuilder where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype TreeBuilder = TreeBuilder (ManagedPtr TreeBuilder)
instance GObject TreeBuilder where
class (GObject o, O.IsDescendantOf TreeBuilder o) => IsTreeBuilder o
instance (GObject o, O.IsDescendantOf TreeBuilder o) => IsTreeBuilder o
instance O.HasParentTypes TreeBuilder
#if ENABLE_OVERLOADING
data TreeBuilderClearMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeBuilderGetEntryMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeBuilderInsertMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeBuilderRemoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data TreeBuilderWriteMethodInfo
#endif
